<?php

function GetIpFromObj($obj)
{

    $ip_obj = @IPS_GetObjectIDByName("IP", $obj); // Hole das Object aus Variable IP
    $ip_adr = @GetValue($ip_obj);

return $ip_adr;
}

function GetAvailable($ipadr)
{
    $result = false;
   if ($ipadr > "" )
    {
       $result = (Boolean) Sys_Ping($ipadr, 1000);   // Ping max. 1 Sek. warten
   }
return $result;
}

function getCurrent($ipadr)
{
   if (GetAvailable( $ipadr ))
    {
       $xmlResult = new SimpleXMLElement(file_get_contents("http://$ipadr/web/subservices"));
       $result = $xmlResult->e2service[0]->e2servicename;
       $result = utf8_decode($result);
   }

return $result;
}

function getDeviceinfo($ipadr)
{
   if (GetAvailable( $ipadr ))
    {
       $xmlResult = new SimpleXMLElement(file_get_contents("http://$ipadr/web/deviceinfo"));
       $result = $xmlResult->e2enigmaversion;
       $result = utf8_decode($result);
   }

return $result;
}

function getPowerstate($ipadr)
{
//    $powerstate = 0;
//    $result = -1;

   if (GetAvailable( $ipadr ))
    {
       $xmlResult = new SimpleXMLElement(file_get_contents("http://$ipadr/web/powerstate"));
        print_r ($xmlResult);
        if ($xmlResult->e2instandby == 'true')
        {
           $result = 0;
        }
        else if ($xmlResult->e2instandby == 'false')
        {
            $result = 1;
        }
   }

return $result;
}

function ToggleStandby($ipadr)
{
  $powerstate = 0;
//  $result = false;
  
  if (GetAvailable( $ipadr ))
  {
    $xmlResult = new SimpleXMLElement(file_get_contents("http://$ipadr/web/powerstate?newstate=$powerstate"));
    $result = (Boolean)$xmlResult->e2instandby;
  }
return $result;
}

function CreateVariableByName($id, $name, $type)
{
    global $IPS_SELF;
    $vid = @IPS_GetVariableIDByName($name, $id);
    if($vid === false)
    {
        $vid = IPS_CreateVariable($type);
        IPS_SetParent($vid, $id);
        IPS_SetName($vid, $name);
        IPS_SetInfo($vid, "this variable was created by script #$IPS_SELF");
    }
    return $vid;
}


?>
